Delete User
DELETE
/v1/user
const url = 'https://api.foldspace.ai/v1/user';const options = { method: 'DELETE', headers: { 'X-FOLDSPACE-API-KEY': '<X-FOLDSPACE-API-KEY>', 'Content-Type': 'application/json' }, body: '{"identifyId":"91LXudnMyzIcI6IynKcc9KILRS2"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.foldspace.ai/v1/user \ --header 'Content-Type: application/json' \ --header 'X-FOLDSPACE-API-KEY: <X-FOLDSPACE-API-KEY>' \ --data '{ "identifyId": "91LXudnMyzIcI6IynKcc9KILRS2" }'Deletes a user by identifyId.
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ”Body containing the unique identifyId of the user to be deleted
Media type application/json
DTO for deleting a user by identifyId
object
identifyId
The unique identifier of the user to be deleted
string
Examples
Example Example Request
Example Request
{ "identifyId": "91LXudnMyzIcI6IynKcc9KILRS2"}Responses
Section titled “ Responses ”User successfully deleted
Media type application/json
string
Example
{ "message": "User successfully deleted"}Unauthorized
Media type application/json
string
Example
{ "error": "Unauthorized"}User not found
Media type application/json
string
Example
{ "error": "User not found"}Rate limit exceeded for subscription
Media type */*
string
Example
{ "error": "Rate limit exceeded for subscription"}Internal server error
Media type application/json
string
Example
{ "error": "Internal server error"}